function onBegin()
    if getFlag("VivHelper/PlayerHasGoldenBerry") and getFlag("A-Berry-Collected") and getFlag("B-Berry-Collected") and getFlag("C-Berry-Collected") and getFlag("CassetteCollected") then
        teleportTo(4104, -856, "Hyper Hexagonest", "Glitch")

    elseif getFlag("VivHelper/PlayerHasGoldenBerry") then
        teleportTo(4104, -1064, "Hyper Hexagoner", "Glitch")

    elseif getFlag("A-Berry-Collected") and getFlag("B-Berry-Collected") and getFlag("C-Berry-Collected") and getFlag("CassetteCollected") then
        teleportTo(3760, -856, "Hexagonest", "Glitch")

    else
        teleportTo(3760, -1064, "Hexagoner", "Glitch")
    end
end